unit GrMouse;

interface

  uses Dos;

  procedure Show_Mouse;
  procedure Hide_Mouse;
  procedure Set_Mouse_Range(x1,y1,x2,y2:Integer);
  function Get_Mouse(var x,y:Integer):Byte;
  function Button:integer;

implementation

procedure Show_Mouse;assembler;
asm
  XOR AX,AX
  MOV AX,$0001
  INT $33
end;

procedure Hide_Mouse;assembler;
asm
  XOR AX,AX
  MOV AX,$0002
  INT $33
end;


function Button:integer;
var
    Mouse_Reg:Registers;
begin
  Mouse_Reg.Ax:=3;
  intr($33,Mouse_Reg);
  Button:=Mouse_Reg.Bx;
end;

function Get_Mouse(var x,y:Integer):Byte;
var yx,yy:integer;
begin
asm
  MOV AX,$0003
  INT $33
  MOV yx,CX
  MOV yy,DX
end;
x:=yx;y:=yy;
Get_Mouse:=Button;
end;


procedure Set_Mouse_X_Range(min,max:Integer);assembler;
asm
  XOR AX,AX
  MOV AX,$0007
  MOV CX,min
  MOV dx,max
  INT $33
end;

procedure Set_Mouse_Y_Range(min,max:Integer);assembler;
asm
  XOR AX,AX
  MOV AX,$0008
  MOV CX,min
  MOV dx,max
  INT $33
end;

procedure Set_Mouse_Range(x1,y1,x2,y2:Integer);
begin
  Set_Mouse_X_Range(x1,x2);
  Set_Mouse_Y_Range(y1,y2);
end;

end.