unit Utils;

interface

  uses DOS;

   procedure Wait2(i:Integer);
   function Time:Real;
   function Dec_To_Bin( Value :Longint ):string;
   procedure Delete_File( FilePath :string );
   function Now:string;

implementation

  procedure Wait2(i:Integer);
  var
     F1:Integer;
  begin
  if i<=0 then Exit;
    for F1:=1 to i Do
    begin
      repeat until (port[$3da] and $08)=0;
      repeat until (port[$3da] and $08)<>0;
    end;
  end;

  function Time:Real;
  var
    Hour,Minute,Second,Sec100   : Word;
    ValErrorCode                : Word;
    Time_Low, Time_High         : string;
    PacketTime                  : Real;
  begin
    Gettime( Hour, Minute, Second, Sec100 ); {  Max 86400 Seconds  }
    Str( Sec100, Time_Low );
    Str( Second+Minute*60+Hour*60*60, Time_High );
    Val( Time_High+'.'+Copy( Time_Low, 1, 1 ), PacketTime, ValErrorCode );
    Time:=PacketTime; {  TotalSeconds.[Sec100] ####.#  }
  end;

  function Now:string;
  var
    Hour,Minute,Second,Sec100   : Word;
    Year, Month, Day, DayOfWeek : Word;
    Hour_,Minute_,Second_       : string[2];
    Year_, Month_, Day_         : string[4];
  begin
    GetDate( Year, Month, Day, DayOfWeek );
    Gettime( Hour, Minute, Second, Sec100 ); { max 86400 seconds }
    Str(Hour,Hour_);
    Str(Minute,Minute_);
    Str(Second,Second_);
    Str(Year,Year_);
    Str(Month,Month_);
    Str(Day,Day_);
    Now:=Hour_+'#'+Minute_+'#'+Second_+'#'+Day_+'#'+Month_+'#'+Year_;
  end;

  function Dec_To_Bin( Value :Longint ):string;
  var
    DigitNum, MaxDigit, Bit : Byte;
    Bin                     : string[32];
  begin
    if (Value>=-2147483647-1) And (Value<=2147483647) then MaxDigit:=32;
    if (Value>=-32768) And (Value<=32767) then MaxDigit:=16;
    if (Value>=-128) And (Value<=255) then MaxDigit:=8;
    Bin:='';
      for DigitNum:=1 to Maxdigit do
      begin
        Bit:=Value and 1;
        Bin:=Chr(48+Bit)+Bin;
        Value:=Value shr 1;
      end;
   Dec_To_Bin:=Bin;
  end;

  Procedure Delete_File( FilePath :string );
  Var
    F :File;
  begin
    Assign( F, FilePath);
    {$i-}Reset(F);{$i+}
    if IOResult=0 then
    begin
      Close(F);
      Erase(F);
    end;
  end;

end.